godo.ActionGateway.Connections.Delete()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.ActionGateway.Connections.Delete(ctx context.Context, id string) (*godo.ActionGatewayConnectionResponse, *godo.Response, error)Description
Delete revokes and deletes a connection.
This method sends a DELETE request to /v2/action-gateway/connections/{}.
Parameters
idstring required
Returns
- *godo.ActionGatewayConnectionResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.ActionGatewayConnectionResponse
ActionGatewayConnectionResponse contains one connection and any pending authorization.
Connection*godo.ActionGatewayConnectionAuthorization*godo.ActionGatewayConnectionAuthorization
Request Sample
Response Example
More Information
See DELETE /v2/action-gateway/connections/{} in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.